### A free/open-source library for quantitative finance

Public Member Functions
BSMOperator Class Reference
Finite-differences framework

Black-Scholes-Merton differential operator. More...

`#include <ql/methods/finitedifferences/bsmoperator.hpp>`

Inheritance diagram for BSMOperator:
[legend]

List of all members.

## Public Member Functions

| BSMOperator (Size size, Real dx, Rate r, Rate q, Volatility sigma)
| BSMOperator (const Array &grid, const boost::shared_ptr< GeneralizedBlackScholesProcess > &, Time residualTime)

## Detailed Description

Black-Scholes-Merton differential operator.